@import '../../../../../assets/styles/buttons';
@import '../../../../../assets/styles/typography';
@import '../../../../../assets/styles/variables';
@import '../../../../../assets/styles/summary-dialog';
@import '../../../../../assets/styles/buttons';

app-summary-page {
  width: 100% !important;
  background: no-repeat;
  background-size: cover;
}

.confirmation-w {
  position: relative;

  &-top {
    position: absolute;
    top: 0;
    height: 290px;
    width: 100%;
    background: linear-gradient(180deg, $green 0%, rgba(223, 255, 226, 0) 100%);
  }

  &-main {
    display: flex;
    justify-content: center;
    padding-top: var(--eui-s-4xl);
    max-width: 70%;
    min-height: 500px;
    position: relative;
    margin: 0 auto;

    &-img {
      position: absolute;
      width: 250px;
      height: auto;
      left: -127px;
      top: 100px;
    }

    .main-header {
      display: flex;
      align-items: flex-start;
      padding-left: calc(6 * var(--eui-s-m));
      margin-bottom: var(--eui-s-m);
      margin-right: var(--eui-s-m);
      color: #707070;

      .entity-name {
        margin-right: var(--eui-s-s);
        color: #404040;
      }

      a {
        cursor: pointer;
        text-decoration: underline;
        color: var(--eui-c-primary);
      }
    }

    .eui-card {
      border-radius: 8px;

      .eui-card-content {
        border-radius: 8px;
      }
    }
  }

  &-bottom {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: var(--eui-s-3xl);
    margin-bottom: var(--eui-s-3xl);

    .eui-card {
      box-shadow:
        0px 3px 4px rgba(0, 0, 0, 0.14),
        0px 3px 3px rgba(0, 0, 0, 0.12),
        0px 1px 8px rgba(0, 0, 0, 0.2);
      border-radius: 8px;
      max-width: 550px;

      .eui-card-content {
        border-radius: 8px;
        padding: var(--eui-s-s) !important;
        display: flex;
        justify-content: center;
        align-items: center;
      }
    }
  }

  .button-text {
    font-weight: 700;
    margin-left: var(--eui-s-s);
    white-space: break-spaces;
    word-wrap: break-word;
  }
}

.eui-card-content {
  padding: var(--eui-s-4xl) !important;
}

.eui-chip {
  white-space: nowrap !important;
}

@media (max-width: $deviceSizeS) {
  .confirmation-w {
    &-main {
      .main-header {
        padding-left: 0 !important;
      }
      img {
        display: none;
      }
    }

    &-bottom {
      &-other {
        .group {
          flex-direction: column;
          align-items: flex-start !important;
        }

        &-card {
          width: 300px !important;
        }
      }
    }
  }
}

.cs-mouse-cursor-pointer {
  cursor: pointer !important;
}

label,
div {
  color: black;
}
.eui-u-border-bottom-separator {
  width: 100%;
}
